package Ensembl.artemis;
final public class NoEntryHolder
	implements org.omg.CORBA.portable.Streamable
{
	public Ensembl.artemis.NoEntry value;

	public NoEntryHolder ()
	{
	}
	public NoEntryHolder (Ensembl.artemis.NoEntry initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return Ensembl.artemis.NoEntryHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = Ensembl.artemis.NoEntryHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		Ensembl.artemis.NoEntryHelper.write(_out,value);
	}
}
